[ostree] Add tests missing from previous commit



commit 7aa620109e595261ebfc0ed942e9db97ee532ed3
Author: Colin Walters <walters verbum org>
Date:   Sun Sep 23 19:25:09 2012 -0400

    Add tests missing from previous commit

 tests/pull-test.sh            |   33 +++++++++++++++++++++++++++++++++
 tests/t0010-pull-archive.sh   |   28 ++++++++++++++++++++++++++++
 tests/t0011-pull-archive-z.sh |   28 ++++++++++++++++++++++++++++
 3 files changed, 89 insertions(+), 0 deletions(-)
---
diff --git a/tests/pull-test.sh b/tests/pull-test.sh
new file mode 100755
index 0000000..b45649b
--- /dev/null
+++ b/tests/pull-test.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Copyright (C) 2011 Colin Walters <walters verbum org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+cd ${test_tmpdir}
+mkdir repo
+${CMD_PREFIX} ostree --repo=repo init
+${CMD_PREFIX} ostree --repo=repo remote add origin $(cat httpd-address)/ostree/gnomerepo
+${CMD_PREFIX} ostree-pull --repo=repo origin main
+${CMD_PREFIX} ostree --repo=repo fsck
+echo "ok pull"
+
+cd ${test_tmpdir}
+$OSTREE checkout origin/main checkout-origin-main
+cd checkout-origin-main
+assert_file_has_content firstfile '^first$'
+assert_file_has_content baz/cow '^moo$'
+echo "ok pull contents"
diff --git a/tests/t0010-pull-archive.sh b/tests/t0010-pull-archive.sh
new file mode 100755
index 0000000..b33a793
--- /dev/null
+++ b/tests/t0010-pull-archive.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# Copyright (C) 2011 Colin Walters <walters verbum org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+set -e
+
+. libtest.sh
+
+echo '1..2'
+
+setup_fake_remote_repo1 "archive"
+
+. ${SRCDIR}/pull-test.sh
diff --git a/tests/t0011-pull-archive-z.sh b/tests/t0011-pull-archive-z.sh
new file mode 100755
index 0000000..2f80a15
--- /dev/null
+++ b/tests/t0011-pull-archive-z.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+#
+# Copyright (C) 2011 Colin Walters <walters verbum org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+set -e
+
+. libtest.sh
+
+echo '1..2'
+
+setup_fake_remote_repo1 "archive-z"
+
+. ${SRCDIR}/pull-test.sh



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]